from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class WrapTextMode(IntEnum):
    NONE = auto()
    THROUGH = auto()
    THROUGHT = THROUGH
    PARALLEL = auto()
    DYNAMIC = auto()
    LEFT = auto()
    RIGHT = auto()
